(* ************************************************************ *)
(* Demo1.pas For Turbo Pascal                                   *)
(*                                                              *)
(* TGCAR.XGF was created by saving the image as TP/TC (Binary)  *)
(* from Raster Master.                                          *)
(* ************************************************************ *)

Program Demo1;
 Uses Crt,Dos,Graph;

Var
 Gd, Gm : Integer;
 Img    : Pointer;
 Size   : Word;
 F      : File;

Begin
 Assign(F,'TGCAR.XGF');
 Reset(F,1);
 Size:=FileSize(F);
 GetMem(Img,Size);
 BlockRead(F,Img^,Size);
 Close(F);


 Gd:=VGA;
 Gm:=VGALo;
 InitGraph(Gd,Gm,'c:\tp');

 SetFillStyle(SolidFill,Blue);
 Bar(0,0,GetMaxX,GetMaxY);

 PutImage(0,0,Img^,NormalPut);
 Repeat Until KeyPressed;
 FreeMem(Img,Size);
 CloseGraph;
end.
